DISPLAY
function()
    local output = ""
    for k, v in pairs(aura_env.herbs) do
        if k == "Starlight Rose" then
            if GetItemCount(k) % 7 == 0 then
                output = output .. k .. " " .. v .. " " .. GetItemCount(k) .. " " .. GetItemCount(k) / 4 .. " " .. "|cFF6CFF6C" .. math.floor(GetItemCount(k) / 7) .. "\n"
            else
                output = output .. k .. " " .. v .. " " .. GetItemCount(k) .. " " .. GetItemCount(k) / 4 .. " " .. "|cFFFF6C6C" .. math.floor(GetItemCount(k) / 7) .. " - " .. (math.floor(GetItemCount(k) / 7)) * 7 .. "\n"
            end
        elseif k == "Icecap" then
            output = output .. k .. " " .. v .. " " .. GetItemCount(k) + (GetItemCount("Icecap Petal") / 10) .. "\n"
        elseif k == "Mountain Silversage" then
            output = output .. k .. " " .. v .. " " .. GetItemCount(k) + (GetItemCount("Mountain Silversage Stalk") / 10) .. "\n"
        else
            output = output .. k .. " " .. v .. " " .. GetItemCount(k) .. "\n"
        end
    end
    return output
end

CHAT_MSG_OPENING
function(_, msg)
    local caster, event, target = msg:match("(%a+) perform ([%a*%s*]+) on ([%a*%s*%p*]+).")
    if caster == "You" and event == "Herb Gathering" then
        if aura_env.herbs[target] == nil then
            aura_env.herbs[target] = 0
        end
        aura_env.herbs[target] = aura_env.herbs[target] + 1
    end
end

INIT
aura_env.herbs = {}
